%polare ala data dalla resistenza dei profili e dalla resistenza indotta (in crociera)
%NECESSITA DEI FILES Cd15.mat Cd12.mat Cdi.mat generati rispettivamente dai programmi
%polare12.m polare15.m pol_ind.m
Kr=.5882;
Kt=.4118;
load Cd15;
load Cd12;
Cdwp=Kr*Cd15+Kt*Cd12;
Cl=-1:.01:1.4;

load Cdi;

Cdw=Cdwp+Cdi;


figure(1)
plot(Cl,Cdwp,'b',Cl,Cdw,'r',Cl,Cdi,'g')
xlabel('Cl')
ylabel('Cd')
grid on
title('Polare ala (crociera)')
legend('Resistenza del p.m.','Resistenza compless.','Resistenza indotta',0)

figure(2)
plot(Cdwp,Cl,'b',Cdw,Cl,'r',Cdi,Cl,'g')
axis([0 .1 0 1.5])
xlabel('Cd')
ylabel('Cl')
grid on
title('Polare ala (crociera)')
legend('Resistenza del p.m.','Resistenza compless.','Resistenza indotta',0)

%%%
save Cdw Cdw
save Cl Cl