%polare profilo 63(2)412
clc
clear all
close all

%primo ramo
clx1=[-1;-.4;.1];
cdx1=[.0136;.0078;.0056];
coeff1=polyfit(clx1,cdx1,2);
%secondo ramo
clx2=[.1;.2;.5;.8];
cdx2=[.0056;.0049;.0048;.0075];
coeff2=polyfit(clx2,cdx2,3);
%terzo ramo
clx3=[.8;1.2;1.4];
cdx3=[.0075;.0111;.0136];
coeff3=polyfit(clx3,cdx3,2);
Cl=-1:.01:1.4;
for i=1:length(Cl)
   if Cl(i)<.1
      Cd12(i)=polyval(coeff1,Cl(i));
   elseif .1<=Cl(i) & Cl(i)<=.8
      Cd12(i)=polyval(coeff2,Cl(i));
   else
      Cd12(i)=polyval(coeff3,Cl(i));
   end
end

for i=1:length(Cl)
   if Cd12(i)<.0048
      Cd12(i)=.0048;
   end
end


figure(1)
plot(Cl,Cd12)
title('Polare profilo 63_1412')
xlabel('Cl')
ylabel('Cd')
grid on

save Cd12 Cd12

%cls=.1:.1:.7;
%cds=polyval(coeff2,cls)
%figure(2)
%plot(cls,cds,'x')