%ala in condizioni di crociera
%profili laminari 63(2)415, 63(1)412
clc
clear all
close all
%dati
S=177.34; %ft
b=36;
ni=1.3*10^-5;
lambda=0.7;
Vs=126.89*1.852*1000/3600; %velocit di stallo in m/s, flaps 0
Cr=(2*S)/(b+lambda*b) %corda radice in ft
Ct=lambda*Cr %corda tip in ft
Rer=Vs*Cr*.3048/ni %Re radice
Ret=Vs*Ct*.3048/ni %Re tip
Sr=Cr*b/4;
St=Ct*b/4;
Kr=2*Sr/S;
Kt=2*St/S;
Clmaxr=1.68;
Clmaxt=1.72;
Clmaxpm=Kr*Clmaxr+Kt*Clmaxt
freccia_le=atan(((Cr-Ct)/2)/(b/2))*57.3 %freccia al l.e. in gradi
Clmax_w=0.9*Clmaxpm