%polare profilo 63(2)415
clc
clear all
close all

%primo ramo
clx1=[-1;-.3;.1];
cdx1=[.012;.007;.0056];
coeff1=polyfit(clx1,cdx1,2);
%secondo ramo
clx2=[.1;.2;.6;.7];
cdx2=[.0056;.005;.005;.0056];
coeff2=polyfit(clx2,cdx2,3);
%terzo ramo
clx3=[.7;1;1.4];
cdx3=[.0056;.0086;.0122];
coeff3=polyfit(clx3,cdx3,2);
Cl=-1:.01:1.4;
for i=1:length(Cl)
   if Cl(i)<.1
      Cd15(i)=polyval(coeff1,Cl(i));
   elseif .1<=Cl(i) & Cl(i)<=.7
      Cd15(i)=polyval(coeff2,Cl(i));
   else
      Cd15(i)=polyval(coeff3,Cl(i));
   end
end

for i=1:length(Cl)
   if Cd15(i)<.005
      Cd15(i)=.005;
   end
end


figure(1)
plot(Cl,Cd15)
title('Polare profilo 63_2415')
xlabel('Cl')
ylabel('Cd')
grid on

save Cd15 Cd15

%cls=.1:.1:.7;
%cds=polyval(coeff2,cls)
%figure(2)
%plot(cls,cds,'x')