%Calcolo angolo diedro; assegnato il valore della stabilit laterale si
%ricava il valore dell'angolo diedro
clc
clear all
close all
%DATI:
Ka=1.1; %vedi fig. 8.39
Krastr=1.02;
Kfreccia=1;
av=0.053;
etav=0.95;
Sv=1.5;
S=16.475; %sup. alare in m^2
b=10.97; %apertura alare in m;
zv=1.07; 
%
Clbetatot=-.0010; %valore imposto del Clbeta totale, consigliato Clbetatot=.5*Cnbeta
%
Clbetaw=0; %essendo freccia nulla
Clbetav=-av*etav*Sv*zv/(S*b);
DClbeta1=+0.0008; %valore per ala bassa, vedi Perkins
DClbeta2=0.00016; %valore per ala bassa, vedi Perkins
gamma=(Clbetaw+Clbetav*DClbeta1+DClbeta2-Clbetatot)/(0.00021*Ka*Krastr*Kfreccia)